Zum Hauptinhalt springen

List backups belonging to a mail address

GET/v2/mail-addresses/{mailAddressId}/backups
API-Version
v2
Request-Methode
GET
Operation-ID
mail-list-backups-for-mail-address

Request​

  • mailAddressIdstring (uuid)required

    ID of the MailAddress to retrieve backups for.

Responses​

Format
application/json
Beschreibung

OK

  • Array[
    • *object
      • namestringrequired

        Name of the backup; an eight-digit date in YYYYMMDD format. Use it as the backupId path parameter to recover emails from this backup.

    ]
Content-Type: application/json

[
{
"name": "string"
}
]
{
"items": {
"properties": {
"name": {
"description": "Name of the backup; an eight-digit date in YYYYMMDD format. Use it as the backupId path parameter to recover emails from this backup.",
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/mail-addresses/f0f86186-0a5a-45b2-aa33-502777496347/backups
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.mail.listBackupsForMailAddress({
"mailAddressId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Mail\ListBackupsForMailAddress\ListBackupsForMailAddressRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListBackupsForMailAddressRequest(
mailAddressId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->mail()->listBackupsForMailAddress($request);

var_dump($response->getBody();

Auf dieser Seite